Tutorial Class/Enum List File List Compound Members

# RtAudioStreamParameters Struct Reference

The structure for specifying input or ouput stream parameters. More...

`#include <RtAudio.h>`

List of all members.

## Public Attributes
int | deviceId
int | nChannels
int | firstChannel

## Detailed Description

The structure for specifying input or ouput stream parameters.

## Member Data Documentation

int RtAudioStreamParameters::deviceId

| Device index (0 to getDeviceCount() - 1).

int RtAudioStreamParameters::nChannels

| Number of channels.

int RtAudioStreamParameters::firstChannel

| First channel index on device (default = 0).

The documentation for this struct was generated from the following file:

- RtAudio.h

| ©2001-2006 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone.